Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003519TestLinkReportspublic2010-06-11 02:462010-08-31 20:28
Reporterabadve 
Assigned To 
PriorityhighSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSOS Version
Product Version1.8.5 (bug fixing) 
Fixed in Version1.9 Beta 6 
Summary0003519: Test report question
DescriptionPresently if we want to view multiple build results of a test project it lists the results for build1 followed by build2 in the excel file.What I want to do is view the test results in below format
Suppose I select 3 builds in the query metrics then I should be able to see
the results in tabular form below
           Build1 Build2 Build3
Testcase1 Pass Fail Fail
Testcase2 Pass Pass Pass
Testcase3 Fail Fail Pass

My aim is to populate a web page with results in this format. I know using excel I can convert the file to a csv file. Will there be support added to populate the results in a csv file at some stage?

Please let me know. Also if no support is planned can you please let me know how I can implement this myself?
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0010346)
Eloff (reporter)
2010-06-17 08:58

How about using the test result matrix for this? It has the exact format you are describing...
(0010378)
abadve (reporter)
2010-06-21 22:10

Thanks for your reply. Can you please explain in more detail? The test report when I select multiple builds lists results for one build after another in the excel file. Please point me to the code location on how I can modify this to generate reports in the format described above.

Thanks again.
(0010382)
Eloff (reporter)
2010-06-22 06:11

I was thinking about another report. There is a report with the name "test result matrix" it lists one build per column and one testcase per row. However you cannot use query metrics to filter the matrix.
(0010420)
abadve (reporter)
2010-06-24 00:56

Yes thanks Eloff. I looked at it but the test result matrix lists all the builds I want to be able to select a build range as we can using query metrics and then want the report format same as test result matrix. Can I add this feature myself easily or will be added in next version of testlink? This way we can view failures across all builds in a very comprehensive format. I can then convert the excel file to csv and display results on a web page or something.
(0010422)
Julian (reporter)
2010-06-24 09:15

you can hide columns on test result matrix.
hide builds (columns) you do not want to see results for.
(0010446)
abadve (reporter)
2010-06-28 23:35

Hello Julian
Thanks for your reply. However I do not see any option in test result matrix to hide columns from the GUI. Is there some interface in the testlink code which I can modify to select columns in test result matrix. If so how? Otherwise then I will have to do the processing after the excel file is generated to result in another file which displays results only for certain builds. Please let me know the best approach.

Thanks
(0010447)
Eloff (reporter)
2010-06-29 06:14

The feature to hide columns in the matrix is a feature in Testlink 1.9
(0010683)
abadve (reporter)
2010-07-17 04:01

Hello Eloff

Sorry for the delay in replying. In testlink1.9 can I also save the excel file in the format above or no? Will it only be HTMl display. Also can you point me which code is used to generate these reports. So I can tweak it to generate the HTML file the way I want for my application. Please let me know. I am presently on testlink1.8.5

Thanks
(0010696)
Eloff (reporter)
2010-07-17 19:12

Hi again,

the report result matrix is also available in excel-format. But then it will be a plain spreadsheet and you have to use excels feature to hide/remove unwanted columns.

The report is generated by the file lib/results/resultsTC.php
(0011140)
fman (administrator)
2010-08-31 20:28

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-06-11 02:46 abadve New Issue
2010-06-17 08:58 Eloff Note Added: 0010346
2010-06-21 22:10 abadve Note Added: 0010378
2010-06-22 06:11 Eloff Note Added: 0010382
2010-06-24 00:56 abadve Note Added: 0010420
2010-06-24 09:15 Julian Note Added: 0010422
2010-06-28 23:35 abadve Note Added: 0010446
2010-06-29 06:14 Eloff Note Added: 0010447
2010-07-17 04:01 abadve Note Added: 0010683
2010-07-17 19:12 Eloff Note Added: 0010696
2010-07-18 10:04 fman Status new => resolved
2010-07-18 10:04 fman Fixed in Version => 1.9 Beta 6
2010-07-18 10:04 fman Resolution open => fixed
2010-07-18 10:04 fman Assigned To => fman
2010-07-18 10:06 fman Assigned To fman =>
2010-08-31 20:28 fman Note Added: 0011140
2010-08-31 20:28 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker